## ros-humble-create-msgs 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(create_msgs)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

set(msg_files
  msg/Bumper.msg
  msg/ChargingState.msg
  msg/DefineSong.msg
  msg/Mode.msg
  msg/PlaySong.msg
  msg/MotorSetpoint.msg
  msg/Cliff.msg
)

rosidl_generate_interfaces(
  ${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES std_msgs)

ament_export_dependencies(rosidl_default_runtime std_msgs)
ament_package()

=== debian/changelog ===
ros-humble-create-msgs (3.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Sun, 21 May 2023 07:00:00 -0000

ros-humble-create-msgs (3.0.0-1jammy) jammy; urgency=high

  * Update maintainer email
  * Update package.xml descriptions
  * Add cliff sensors (#93 <https://github.com/autonomylab/create_robot/issues/93>)
  * Add motor control (#97 <https://github.com/autonomylab/create_robot/issues/97>)
  * Port to ROS 2 (foxy) (#8 <https://github.com/autonomylab/create_robot/issues/8>)
  * Update maintainer info
  * Rename packages for clarity
    Originally the packages were named as 'create_autonomy', with the 'ca_' suffix for short.
    This was due to a name conflict with the turtlebot packages (e.g. create_driver and create_description):
    https://github.com/turtlebot/turtlebot_create.git
    Since the turtlebot packages are not released into ROS Melodic, the plan is to release these packages instead.
    If the turtlebot packages are eventually released, it should be straightforward to adapt them to use the
    description and driver packages here.
    Summary of renaming:
    * create_autonomy -> create_robot
    * ca_description -> create_description
    * ca_driver -> create_driver
    * ca_msgs -> create_msgs
    * ca_tools -> create_bringup
  * Contributors: Jacob Perron, Owen Hooper, Pedro Grojsgold

 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 13 May 2023 07:00:00 -0000

ros-humble-create-msgs (1.3.0-1jammy) jammy; urgency=high

  * Migrate to package.xml format 2
    
    Minor linting to package files.
  * Add support for defining and playing songs
  * Refactor CMakeLists.txt and package.xml files and add missing install rules
  * Contributors: Clyde McQueen, Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Sun, 10 Jun 2018 07:00:00 -0000

ros-humble-create-msgs (1.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 07 Oct 2016 07:00:00 -0000

ros-humble-create-msgs (1.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 23 Jul 2016 07:00:00 -0000

ros-humble-create-msgs (1.0.1-1jammy) jammy; urgency=high

  * Add Bumper message with contact sensor states and light sensor states
  * Add header to all custom message types
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Tue, 24 May 2016 07:00:00 -0000

ros-humble-create-msgs (1.0.0-1jammy) jammy; urgency=high

  * Add ChargingState and Mode messages
  * Add charging state and mode publishers
  * Add 'ca_msgs' package
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 01 Apr 2016 07:00:00 -0000

=== debian/control ===
Source: ros-humble-create-msgs
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacobmperron@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/create_msgs
Standards-Version: 3.9.2

Package: ros-humble-create-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Common message definitions for create_robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-create-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
